LOU_TRANSLATE(1)

NAME
lou_translate - A Braille translator for large scale testing of liblouis Braille translation tables

SYNOPSIS
lou_translate [OPTIONS] TABLE[,TABLE,...]

DESCRIPTION
Translate whatever is on standard input and print it on standard output. It is intended for large-scale testing of the accuracy of Braille translation and back-translation.

OPTIONS

-h, --help
    display this help and exit

-v, --version
    display version information and exit

-f, --forward
    forward translation using the given table

-b, --backward
    backward translation using the given table If neither -f nor -b are specified forward translation is assumed

EXAMPLES

    lou_translate --forward en-us-g2.ctb < input.txt

    Do a forward translation with table en-us-g2.ctb. The resulting braille is ASCII encoded.

    lou_translate unicode.dis,en-us-g2.ctb < input.txt

    Do a forward translation with table en-us-g2.ctb. The resulting braille is encoded as Unicode dot patterns.

    echo ",! qk br{n fox" | lou_translate --backward en-us-g2.ctb

    Do a backward translation with table en-us-g2.ctb.

AUTHOR
Written by John J. Boyer.

REPORTING BUGS
Report bugs to liblouis-liblouisxml@freelists.org.
Liblouis home page: <http://www.liblouis.org>

Packaged by OpenBSD Ports
Copyright © 2019 ViewPlus Technologies, Inc. and JJB Software, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for lou_translate is maintained as a Texinfo manual. If the info and lou_translate programs are properly installed at your site, the command

    info liblouis

should give you access to the complete manual.